Subject: <package> in Geiser

From: "(" <[email-masked]>
Date: Wed, 13 Sep 2023 07:45:25 +0100

Hi,

If I connect Geiser to a Guix REPL, like so:

  $ guix repl --listen=tcp:37146 &
  M-x geiser-connect RET RET

and enter the following into it:

  ,use (guix packages)
  (package
    (name "test")
    (version "1.0.0")
    (source #f)
    (build-system #f)
    (home-page #f)
    (synopsis #f)
    (description #f)
    (license #f))

I get this error:

  While compiling expression:
  Syntax error:
  unknown file:#f:#f: encountered raw symbol in macro output in subform socket of (current-location-vector)

When putting the same into a typical `guix repl` instance running in the
foreground within a terminal, I get no error, just the <PACKAGE> object
that I expected.

This can be temporarily fixed by adding ``(location #f)'' to the end of
the package record.

Any ideas why this happens?  I don't know the first thing about how
Geiser works...

  -- (